local CheckingHandler = FlexBar2.OO.Mixin 
{
	"SetChecked", -- Check the button in a certain way depending on what type is passed
};

function CheckingHandler:Activate()
	self.Check = {};
end

function CheckingHandler:SetChecked(State, CheckType)
	if(State == true) then
		if(not FlexBar2:ValueIsInTable(self.Check, CheckType)) then
			table.insert(self.Check, CheckType);
			table.sort(self.Check, function(a, b)
				return FlexBar2:GetKeyByValue(FlexBar2.db.profile.ColorPriority, a) < FlexBar2:GetKeyByValue(FlexBar2.db.profile.ColorPriority, b);
			end);
		end
	elseif(State == false) then
		if(FlexBar2:RemoveByValue(self.Check, CheckType)) then
		end
	end
	if(type(self.Check[1]) == "string") then
		self.Frame:SetChecked(true);
		local _, r, g, b = FlexBar2.PaintChips:GetRGBPercent(self.Check[1])
		self.Frame:GetCheckedTexture():SetVertexColor(r, g, b);
	else
		self.Frame:SetChecked(false);
	end
end

FlexBar2:RegisterHandler(CheckingHandler);
